Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZResponse Class Reference

## Public Member Functions
| __construct ( $id="-1")
| get ( $id="-1")
| store ()
| delete ()
| sendMail ()
| id ()
| surveyID ()
| submitted ()
| complete ()
| userID ()
| setID ( $value)
| setSurveyID ( $value)
| setSubmitted ( $value)
| setComplete ( $value)
| setUserID ( $value)

## Static Public Member Functions
static | numberOfResponses ( $surveyId="")

## Public Attributes
| $ID
| $SurveyID
| $Submitted
| $Complete
| $UserID

## Detailed Description

Definition at line 7 of file ezresponse.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZResponse::__construct | ( |  | $id = `"-1"` | ) |

Definition at line 9 of file ezresponse.php.

References $id, and $ID.

## Member Function Documentation

## ◆ complete()

eZResponse::complete | ( |  | ) |

Definition at line 152 of file ezresponse.php.

References $Complete.

## ◆ delete()

eZResponse::delete | ( |  | ) |

Definition at line 91 of file ezresponse.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZResponse::get | ( |  | $id = `"-1"` | ) |

Definition at line 18 of file ezresponse.php.

References $db, and eZDB\globalDatabase().

## ◆ id()

eZResponse::id | ( |  | ) |

Definition at line 149 of file ezresponse.php.

References $ID.

## ◆ numberOfResponses()

static eZResponse::numberOfResponses | ( |  | $surveyId = `""` | ) |
| static

Definition at line 101 of file ezresponse.php.

References $db, $question_array, and eZDB\globalDatabase().

Referenced by eZQuestion\stats().

## ◆ sendMail()

eZResponse::sendMail | ( |  | ) |

Definition at line 116 of file ezresponse.php.

References $ini, $mail, $question_array, and $survey.

## ◆ setComplete()

eZResponse::setComplete | ( |  | $value | ) |

Definition at line 159 of file ezresponse.php.

## ◆ setID()

eZResponse::setID | ( |  | $value | ) |

Definition at line 156 of file ezresponse.php.

## ◆ setSubmitted()

eZResponse::setSubmitted | ( |  | $value | ) |

Definition at line 158 of file ezresponse.php.

## ◆ setSurveyID()

eZResponse::setSurveyID | ( |  | $value | ) |

Definition at line 157 of file ezresponse.php.

## ◆ setUserID()

eZResponse::setUserID | ( |  | $value | ) |

Definition at line 160 of file ezresponse.php.

## ◆ store()

eZResponse::store | ( |  | ) |

Definition at line 50 of file ezresponse.php.

References $db, $res, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ submitted()

eZResponse::submitted | ( |  | ) |

Definition at line 151 of file ezresponse.php.

References $Submitted.

## ◆ surveyID()

eZResponse::surveyID | ( |  | ) |

Definition at line 150 of file ezresponse.php.

References $SurveyID.

## ◆ userID()

eZResponse::userID | ( |  | ) |

Definition at line 153 of file ezresponse.php.

References $UserID.

## Member Data Documentation

## ◆ $Complete

eZResponse::$Complete

Definition at line 166 of file ezresponse.php.

Referenced by complete().

## ◆ $ID

eZResponse::$ID

Definition at line 163 of file ezresponse.php.

Referenced by __construct(), and id().

## ◆ $Submitted

eZResponse::$Submitted

Definition at line 165 of file ezresponse.php.

Referenced by submitted().

## ◆ $SurveyID

eZResponse::$SurveyID

Definition at line 164 of file ezresponse.php.

Referenced by surveyID().

## ◆ $UserID

eZResponse::$UserID

Definition at line 167 of file ezresponse.php.

Referenced by userID().

The documentation for this class was generated from the following file:

- ezresponse.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.